Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026921
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorrandom2014-06-23 16:502014-09-17 13:45
ReporterjecharriView Statuspublic 
Assigned Toadrianromero 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionb754bf8e21ad
ProjectionnoneETAnoneTarget VersionRR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026921: 20 tills opened at the same time

Description20 tills opened at the same time

Under some circunstances, Web POS is able to create a lot of tills opened at the same time.

One client is having this issue and it is critical because stores can not be closed.

Steps To Reproduce-
Proposed SolutionCreate a trigger or event handler no to allow to create more tills when it is already one till opened
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0026438 closedmalsasua We should avoid to open a till when a till is closed in backend 
has duplicate defect 0026437 closedmalsasua We should avoid to create 2 tills in one terminal 
related to defect 0027524RR14Q4 closedadrianromero Avoid 20 tills opened at the same time 
related to feature request 0027629 closedadrianromero Add trace to save order process and synchronization process 

-  Notes
(0068283)
hgbot (developer)
2014-06-24 18:30

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: 678b862547316e17621f5b90a4b98527f9b881ac
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Tue Jun 24 18:30:27 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/678b862547316e17621f5b90a4b98527f9b881ac [^]

Fixes issue 0026921: 20 tills opened at the same time
The solution adopted is to guaranty that the open session process keeps as open only the sessions it has to open, other open sessions are considered to be erroneous and are purged

---
M src/org/openbravo/retail/sessions/OpenSessionPOS.java
---
(0068310)
adrianromero (manager)
2014-06-25 12:04
edited on: 2014-06-25 12:21

Backed out by changeset. The implemented solution is wrong. Sessions can be purged incorrectly

https://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/2dd85b4248fd [^]

(0068414)
hgbot (developer)
2014-06-27 15:28

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: 40eacee8936f5cf5309b63370fb6443f909db13c
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Thu Jun 26 17:47:27 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/40eacee8936f5cf5309b63370fb6443f909db13c [^]

Issue 0026921: 20 tills opened at the same time
Adding a code identifier for tills

---
M src/org/openbravo/retail/sessions/OpenSessionPOS.java
M web/org.openbravo.retail.sessions/js/components/loginhook.js
M web/org.openbravo.retail.sessions/js/countcash/countcash-model.js
---
(0068415)
hgbot (developer)
2014-06-27 15:28

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: 0da5c2ed8953e82c332bc694c8dbd01fd5394b80
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Jun 27 12:08:06 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/0da5c2ed8953e82c332bc694c8dbd01fd5394b80 [^]

Fixes issue 0026921: 20 tills opened at the same time
Checking code identifier in tills to avoid creating the same till session several times

---
M src-db/database/model/tables/POSS_TERMINALSESSIONS.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M src/org/openbravo/retail/sessions/OpenSessionPOS.java
---
(0068416)
hgbot (developer)
2014-06-27 15:28

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: b754bf8e21ad5d75b40ab600090fab3b988acb50
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Jun 27 15:27:29 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/b754bf8e21ad5d75b40ab600090fab3b988acb50 [^]

Fixes issue 0026921: 20 tills opened at the same time
Cashup process will close only the terminal session associated by code

---
M src/org/openbravo/retail/sessions/CloseSessionActionHandler.java
M src/org/openbravo/retail/sessions/CloseSessionHook.java
M src/org/openbravo/retail/sessions/CloseSessionProcess.java
M src/org/openbravo/retail/sessions/SessionModel.java
M web/org.openbravo.retail.sessions/js/components/loginhook.js
M web/org.openbravo.retail.sessions/js/countcash/countcash-model.js
---
(0068417)
adrianromero (manager)
2014-06-27 15:40

The solution implemented is a new identifier 'cashupCode' generated during the open session process and used during the close session process to identify the session record to close.

Logic implemented.

* When opening a session in the client side a 'cashupCode' is generated. This way when creating the open session record in the server side, the process can check whether the open session record is already created or not
* When executing a cashup process the 'cashupCode' is used to identify the session record that has to be closed. If it does not exist a new session record is generated.
* The server side close sessions process has been refactored to close all sessions open in the terminal selected
(0070173)
hgbot (developer)
2014-09-17 12:42

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: 3d6f61e412f58ca9138dc6d529a516066dd350c1
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Sep 17 12:40:45 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/3d6f61e412f58ca9138dc6d529a516066dd350c1 [^]

Issue 0026921: 20 tills opened at the same time
Prevents failure if there are still old values in localstorage

---
M web/org.openbravo.retail.sessions/js/components/loginhook.js
M web/org.openbravo.retail.sessions/js/countcash/countcash-model.js
---
(0070175)
hgbot (developer)
2014-09-17 13:45

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: 04fa37dd8ab2f45e8b3c859dccc70948b9b37235
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Sep 17 13:45:43 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/04fa37dd8ab2f45e8b3c859dccc70948b9b37235 [^]

Issue 0026921: 20 tills opened at the same time
Prevents failure if there are still old values in localstorage

---
M web/org.openbravo.retail.sessions/js/components/loginhook.js
M web/org.openbravo.retail.sessions/js/countcash/countcash-model.js
---

- Issue History
Date Modified Username Field Change
2014-06-23 16:50 jecharri New Issue
2014-06-23 16:50 jecharri Assigned To => marvintm
2014-06-23 16:50 jecharri Triggers an Emergency Pack => No
2014-06-23 17:36 adrianromero Relationship added has duplicate 0026438
2014-06-23 17:37 adrianromero Relationship added has duplicate 0026437
2014-06-24 18:30 hgbot Checkin
2014-06-24 18:30 hgbot Note Added: 0068283
2014-06-24 18:30 hgbot Status new => resolved
2014-06-24 18:30 hgbot Resolution open => fixed
2014-06-24 18:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/678b862547316e17621f5b90a4b98527f9b881ac [^]
2014-06-25 12:04 adrianromero Assigned To marvintm => adrianromero
2014-06-25 12:04 adrianromero Note Added: 0068310
2014-06-25 12:04 adrianromero Status resolved => new
2014-06-25 12:04 adrianromero Resolution fixed => open
2014-06-25 12:21 adrianromero Note Edited: 0068310 View Revisions
2014-06-27 15:28 hgbot Checkin
2014-06-27 15:28 hgbot Note Added: 0068414
2014-06-27 15:28 hgbot Checkin
2014-06-27 15:28 hgbot Note Added: 0068415
2014-06-27 15:28 hgbot Status new => resolved
2014-06-27 15:28 hgbot Resolution open => fixed
2014-06-27 15:28 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/678b862547316e17621f5b90a4b98527f9b881ac [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/0da5c2ed8953e82c332bc694c8dbd01fd5394b80 [^]
2014-06-27 15:28 hgbot Checkin
2014-06-27 15:28 hgbot Note Added: 0068416
2014-06-27 15:28 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/0da5c2ed8953e82c332bc694c8dbd01fd5394b80 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/b754bf8e21ad5d75b40ab600090fab3b988acb50 [^]
2014-06-27 15:34 adrianromero Review Assigned To => migueldejuana
2014-06-27 15:40 adrianromero Note Added: 0068417
2014-06-30 13:59 marvintm Review Assigned To migueldejuana => marvintm
2014-06-30 13:59 marvintm Status resolved => closed
2014-09-02 12:14 adrianromero Relationship added related to 0027524
2014-09-17 12:42 hgbot Checkin
2014-09-17 12:42 hgbot Note Added: 0070173
2014-09-17 13:45 hgbot Checkin
2014-09-17 13:45 hgbot Note Added: 0070175
2014-09-17 17:39 adrianromero Relationship added related to 0027629


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker